curl --request GET \
--url https://test.deribit.com/api/v2/private/list_address_beneficiaries \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 42,
"method": "private/list_address_beneficiaries",
"params": {
"currency": "BTC",
"limit": 10
}
}
'import requests
url = "https://test.deribit.com/api/v2/private/list_address_beneficiaries"
payload = {
"jsonrpc": "2.0",
"id": 42,
"method": "private/list_address_beneficiaries",
"params": {
"currency": "BTC",
"limit": 10
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 42,
method: 'private/list_address_beneficiaries',
params: {currency: 'BTC', limit: 10}
})
};
fetch('https://test.deribit.com/api/v2/private/list_address_beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 42,
"result": {
"data": [
{
"currency": "BTC",
"address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf0uyj",
"user_id": 1026,
"agreed": true,
"personal": false,
"unhosted": false,
"beneficiary_vasp_name": "Money's Gone",
"beneficiary_vasp_did": "did:example:123456789abcdefghi",
"beneficiary_vasp_website": "https://example.com",
"beneficiary_first_name": "John",
"beneficiary_last_name": "Doe",
"beneficiary_company_name": "Example Corp",
"beneficiary_address": "NL, Amsterdam, Street, 1",
"created": 1536569522277,
"updated": 1536569522277
}
],
"continuation": "xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT",
"count": 1
}
}private/list_address_beneficiaries
Lists address beneficiaries with optional filtering and pagination. Returns all saved beneficiary information for addresses, with support for filtering by currency, address, wallet type, VASP details, and date ranges.
๐ Related Article: Managing Withdrawals
Scope: wallet:read
Query Parameters
The currency symbol
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, STETH, ETHW, USDC, USDT, EURR, SOL, XRP, USYC, PAXG, BNB, USDE Address in currency format
Tag for XRP addresses
Filter by creation timestamp (before) The timestamp (milliseconds since the Unix epoch)
1536569522277
Filter by creation timestamp (after) The timestamp (milliseconds since the Unix epoch)
1536569522277
Filter by update timestamp (before) The timestamp (milliseconds since the Unix epoch)
1536569522277
Filter by update timestamp (after) The timestamp (milliseconds since the Unix epoch)
1536569522277
Filter by personal wallet flag
Filter by unhosted wallet flag
Filter by beneficiary VASP name Name of beneficiary VASP
"Money's Gone"
Filter by beneficiary VASP DID DID of beneficiary VASP
"did:example:123456789abcdefghi"
Website of the beneficiary VASP
Maximum number of results to return
1 <= x <= 1000Continuation token for pagination
"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Currency, i.e "BTC", "ETH", "USDC"
BTC, ETH, USDC, USDT, EURR Address in proper format for currency
"1A1zP1eP5QGefi2DMPTfTL5SLmv7DivfNa"
Unique user identifier
57874
Indicates that the user agreed to shared provided information with 3rd parties
true
The user confirms that he provided address belongs to him and he has access to it via an un-hosted wallet software
true
Indicates if the address belongs to an unhosted wallet
false
Name of beneficiary VASP
"Money's Gone"
DID of beneficiary VASP
"did:example:123456789abcdefghi"
Geographical address of the beneficiary
"NL, Amsterdam, Street, 1"
The timestamp (milliseconds since the Unix epoch)
1536569522277
The timestamp (milliseconds since the Unix epoch)
1536569522277
Tag for XRP addresses (optional)
Website of the beneficiary VASP
First name of the beneficiary (if beneficiary is a person)
"John"
Last name of the beneficiary (if beneficiary is a person)
"Doe"
Company name of the beneficiary (if beneficiary is a company)
"Company Name"
Continuation token for pagination.
"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"
Total number of results available
42
The id that was sent in the request
Was this page helpful?